LibreOffice LibreOffice 25.8 SDK API Reference

Exported Interfaces | Public Member Functions | Public Attributes | List of all members
XGridColumn Interface Referencepublished

The XGridColumn defines the properties and behavior of a column in a grid control. More...

`import"XGridColumn.idl";`

Inheritance diagram for XGridColumn:

## Exported Interfaces
interface | ::com::sun::star::lang::XComponent
| implements life time control for the component More...
interface | ::com::sun::star::util::XCloneable
| allows cloning the complete grid column More...

## Public Member Functions
void | addGridColumnListener ([in] XGridColumnListener Listener)
| Adds a listener for the GridColumnEvent posted after the grid changes. More...
void | removeGridColumnListener ([in] XGridColumnListener Listener)
| Removes a listener previously added with addColumnListener(). More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XCloneable
com::sun::star::util::XCloneable | createClone ()
| creates a copy of the object. More...

## Public Attributes
any | Identifier
| specifies an identifier of the column More...
long | ColumnWidth
| specifies the current width of the column. More...
long | MinWidth
| specifies the minimal width the column can have. More...
long | MaxWidth
| specifies the maximal width the column can have. More...
boolean | Resizeable
| controls whether or not the column's width is fixed or not. More...
long | Flexibility { set raises(::com::sun::star::lang::IllegalArgumentException); }
| specifies the flexibility of the column when it is automatically resized due to the grid control as a whole being resized. More...
::com::sun::star::style::HorizontalAlignment | HorizontalAlign
| Specifies the horizontal alignment of the content in the control. More...
string | Title
| A title is displayed in the column header row if UnoControlGridModel::ShowColumnHeader() is set to `TRUE` More...
string | HelpText
| is the help text associated with the column. More...
long | Index
| denotes the index of the column within the grid column model it belongs to More...
long | DataColumnIndex
| denotes the index of the data column which should be used to fetch this grid column's data More...

## Detailed Description

The XGridColumn defines the properties and behavior of a column in a grid control.

Since
  OOo 3.3

## Exported Interfaces

## ◆ ::com::sun::star::lang::XComponent

interface ::com::sun::star::lang::XComponent

implements life time control for the component

## ◆ ::com::sun::star::util::XCloneable

interface ::com::sun::star::util::XCloneable

allows cloning the complete grid column

## Member Function Documentation

## ◆ addGridColumnListener()

void addGridColumnListener | ( | [in] XGridColumnListener | Listener | ) |

Adds a listener for the GridColumnEvent posted after the grid changes.

Parameters

  Listener | the listener to add.

## ◆ removeGridColumnListener()

void removeGridColumnListener | ( | [in] XGridColumnListener | Listener | ) |

Removes a listener previously added with addColumnListener().

Parameters

  Listener | the listener to remove.

## Member Data Documentation

## ◆ ColumnWidth

long ColumnWidth
| attribute

specifies the current width of the column.

## ◆ DataColumnIndex

long DataColumnIndex
| attribute

denotes the index of the data column which should be used to fetch this grid column's data

A grid control has a column model and a data model, both containing a possibly different number of columns. The `DataColumnIndex` attribute defines the index of the column within the data model, which should be used to retrieve actual data.

Using this, you can do runtime changes to the column model, i.e. insertion and removal of columns, without necessarily needing to adjust the data model, too.

If `DataColumnIndex` is negative, the it will be ignored, then the column's index within its column model, as determined by the Index attribute, will be used.

## ◆ Flexibility

long Flexibility
set raises | ( | ::com::sun::star::lang::IllegalArgumentException
| ) |  |
| attribute

specifies the flexibility of the column when it is automatically resized due to the grid control as a whole being resized.

Specify `0` here if you do not want the column to be resized automatically.

If a column has a flexibility greater than 0, it is set in relationship to the flexibility of all other such columns, and the respective widths of the columns are changed in the same relationship.

Note that a column's flexibility is ignored if its Resizeable attribute is `FALSE`.

A column's flexibility cannot be negative, attempts to set a negative value will raise an exception.

## ◆ HelpText

string HelpText
| attribute

is the help text associated with the column.

A grid control will usually display a column's help text as tooltip.

## ◆ HorizontalAlign

::com::sun::star::style::HorizontalAlignment HorizontalAlign
| attribute

Specifies the horizontal alignment of the content in the control.

## ◆ Identifier

any Identifier
| attribute

specifies an identifier of the column

This identifier will not be evaluated by the grid control, or its model. It is merely for clients to identify particular columns.

## ◆ Index

long Index
| attribute readonly

denotes the index of the column within the grid column model it belongs to

If the column is not yet part of a column model, `Index` is -1.

## ◆ MaxWidth

long MaxWidth
| attribute

specifies the maximal width the column can have.

## ◆ MinWidth

long MinWidth
| attribute

specifies the minimal width the column can have.

## ◆ Resizeable

boolean Resizeable
| attribute

controls whether or not the column's width is fixed or not.

If this is `TRUE`, the user can interactively change the column's width. Also, the column is subject to auto-resizing, if its Flexibility attribute is greater `0`.

## ◆ Title

string Title
| attribute

A title is displayed in the column header row if UnoControlGridModel::ShowColumnHeader() is set to `TRUE`

The documentation for this interface was generated from the following file:

- com/sun/star/awt/grid/XGridColumn.idl